%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:       bugyou_plugins
Version:    0.1.5
Release:    2%{?dist}
Summary:    Plugins for Bugyou
Group:      Applications/Internet
License:    GPLv3
URL:        https://pagure.io/bugyou_plugins
Source0:    https://pagure.io/releases/bugyou_plugins/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
BuildRequires:  systemd

Requires:   python-retask
Requires:   python-libpagure

%description
Collection of Bugyou Plugins and Services


%prep
%setup -q -n %{name}-%{version}


%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build \
    --install-data=%{_datadir} --root %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/%{name}/
install -m 644 config/bugyou_plugins.cfg %{buildroot}%{_sysconfdir}/%{name}/bugyou_plugins.cfg
install -m 644 config/bugyou_services.cfg %{buildroot}%{_sysconfdir}/%{name}/bugyou_services.cfg

%{__mkdir_p} %{buildroot}%{_unitdir}
%{__install} -pm644 initsys/bugyou-cntrl.service \
    %{buildroot}%{_unitdir}/bugyou-cntrl.service

%files
%doc README.md
%license LICENSE
%dir %{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}/*
%{python2_sitelib}/%{name}-%{version}-py%{pyver}.egg-info
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/bugyou_plugins.cfg
%config(noreplace) %{_sysconfdir}/%{name}/bugyou_services.cfg
%{_unitdir}/bugyou-cntrl.service
%{_bindir}/bugyou-cntrl

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Jul 08 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1.5-1
- Updates to 0.1.5

* Wed Apr 13 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1.4-1
- Updates to 0.1.4

* Tue Mar 08 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1.3-1
- Updates to 0.1.3

* Sat Mar 05 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1.2-1
- Updates to 0.1.2

* Fri Mar 04 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1.1-1
- Update setup.py script, remove sample configuration files

* Tue Mar 01 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1-2
- Add missing dependency, python-libpagure

* Mon Feb 15 2016 Sayan Chowdhury <sayanchowdhury@fedoraproject.org> - 0.1-1
- Initial packaging.
